package main

import (
	"log"
	"os"

	// "git.pbiernat.dev/egommerce/go-api-pkg/config"

	"git.pbiernat.dev/egommerce/catalog-service/internal"
	"git.pbiernat.dev/egommerce/catalog-service/internal/worker"
)

func main() {
	// if config.ErrLoadingEnvs != nil {
	// 	log.Fatalln("Error loading .env file.")
	// }

	wrk := worker.New(
		internal.NewConfig("catalog-worker"),
	)

	while := make(chan struct{})
	err := wrk.Start(while)
	<-while

	if err != nil {
		log.Fatalf("Failed to start worker. Reason: %v\n", err)
		os.Exit(1)
	}

	os.Exit(0)
}
